# Get balance

Fetches balance.

```http
GET https://api.pozy.ai/v1/balance
```

- Area: Creators / Treasury
- Auth: Authorization: Bearer pz_live_...

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/balance" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/balance", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/balance",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `availableCents`, integer
- `payoutLockedCents`, integer
- `payoutLocks`, array of object
  - `topupId`, string, required
  - `amountCents`, integer, required
  - `chargedAt`, string (date-time), required
  - `unlocksAt`, string (date-time), required
- `pendingCents`, integer
- `pendingReleases`, array of object
  - `topupId`, string, required
  - `amountCents`, integer, required
  - `availableAt`, string (date-time), required
- `pendingTopupCents`, integer
- `currency`, string: One of `usd`
- `recentTopups`, array of object
  - `id`, string
  - `method`, string: One of `card`, `bank_transfer`
  - `purpose`, string: One of `balance`, `payout_batch`
  - `payoutBatch`, object: Can be null
    - `id`, string
    - `campaignId`, string: Can be null
  - `feeCoveredByPozy`, boolean
  - `amountCents`, integer
  - `stripeFeeCents`, integer: Can be null
  - `netCents`, integer: Can be null
  - `status`, string: One of `pending`, `succeeded`, `failed`, `expired`
  - `createdAt`, string (date-time)
  - `succeededAt`, string (date-time): Can be null

```json
{
  "availableCents": 1,
  "payoutLockedCents": 1,
  "payoutLocks": [
    {
      "topupId": "661baaf62e351f4bf7700103",
      "amountCents": 1,
      "chargedAt": "2026-10-02T09:00:00.000Z",
      "unlocksAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pendingCents": 1,
  "pendingReleases": [
    {
      "topupId": "661baaf62e351f4bf7700103",
      "amountCents": 1,
      "availableAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pendingTopupCents": 1,
  "currency": "usd",
  "recentTopups": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "method": "card",
      "purpose": "balance",
      "payoutBatch": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "campaignId": "65a3737dd8b11ea61f199e6e"
      },
      "feeCoveredByPozy": true,
      "amountCents": 1,
      "stripeFeeCents": 1,
      "netCents": 1,
      "status": "pending",
      "createdAt": "2026-10-02T09:00:00.000Z",
      "succeededAt": "2026-10-02T09:00:00.000Z"
    }
  ]
}
```
